Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.util
Class OrderedMap.OrderedSet

    java.lang.Object
      |
      +--weblogic.webservice.util.OrderedMap.OrderedSet

public class OrderedMap.OrderedSet
extends java.lang.Object
implements java.util.Set

Constructor Summary
`OrderedMap.OrderedSet(java.util.List list)`

Method Summary
`boolean` | `add(java.lang.Object value)`
`boolean` | `addAll(java.util.Collection collection)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object value)`
`boolean` | `containsAll(java.util.Collection collection)`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object value)`
`boolean` | `removeAll(java.util.Collection collection)`
`boolean` | `retainAll(java.util.Collection collection)`
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderedMap.OrderedSet

    public OrderedMap.OrderedSet(java.util.List list)

Method Detail

### size

    public int size()

  Specified by:
    size in interface java.util.Set

### isEmpty

    public boolean isEmpty()

  Specified by:
    isEmpty in interface java.util.Set

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    contains in interface java.util.Set

### iterator

    public java.util.Iterator iterator()

  Specified by:
    iterator in interface java.util.Set

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    toArray in interface java.util.Set

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] value)

  Specified by:
    toArray in interface java.util.Set

### add

    public boolean add(java.lang.Object value)

  Specified by:
    add in interface java.util.Set

### remove

    public boolean remove(java.lang.Object value)

  Specified by:
    remove in interface java.util.Set

### containsAll

    public boolean containsAll(java.util.Collection collection)

  Specified by:
    containsAll in interface java.util.Set

### addAll

    public boolean addAll(java.util.Collection collection)

  Specified by:
    addAll in interface java.util.Set

### retainAll

    public boolean retainAll(java.util.Collection collection)

  Specified by:
    retainAll in interface java.util.Set

### removeAll

    public boolean removeAll(java.util.Collection collection)

  Specified by:
    removeAll in interface java.util.Set

### clear

    public void clear()

  Specified by:
    clear in interface java.util.Set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference